## WebKitDOMDocumentType WebKitDOMDocumentType |

## Functions

gchar * | webkit_dom_document_type_get_name ()
WebKitDOMNamedNodeMap * | webkit_dom_document_type_get_entities ()
WebKitDOMNamedNodeMap * | webkit_dom_document_type_get_notations ()
gchar * | webkit_dom_document_type_get_internal_subset ()
gchar * | webkit_dom_document_type_get_public_id ()
gchar * | webkit_dom_document_type_get_system_id ()

## Properties

WebKitDOMNamedNodeMap * | entities | Read
gchar * | internal-subset | Read
gchar * | name | Read
WebKitDOMNamedNodeMap * | notations | Read
gchar * | public-id | Read
gchar * | system-id | Read

## Types and Values

struct | WebKitDOMDocumentType

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocumentType

## Implemented Interfaces

WebKitDOMDocumentType implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_document_type_get_name ()

    gchar *
    webkit_dom_document_type_get_name (WebKitDOMDocumentType *self);

`webkit_dom_document_type_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

### webkit_dom_document_type_get_entities ()

    WebKitDOMNamedNodeMap *
    webkit_dom_document_type_get_entities (WebKitDOMDocumentType *self);

`webkit_dom_document_type_get_entities` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A WebKitDOMNamedNodeMap.

[transfer full]

### webkit_dom_document_type_get_notations ()

    WebKitDOMNamedNodeMap *
    webkit_dom_document_type_get_notations
                                   (WebKitDOMDocumentType *self);

`webkit_dom_document_type_get_notations` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A WebKitDOMNamedNodeMap.

[transfer full]

### webkit_dom_document_type_get_internal_subset ()

    gchar *
    webkit_dom_document_type_get_internal_subset
                                   (WebKitDOMDocumentType *self);

`webkit_dom_document_type_get_internal_subset` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

### webkit_dom_document_type_get_public_id ()

    gchar *
    webkit_dom_document_type_get_public_id
                                   (WebKitDOMDocumentType *self);

`webkit_dom_document_type_get_public_id` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

### webkit_dom_document_type_get_system_id ()

    gchar *
    webkit_dom_document_type_get_system_id
                                   (WebKitDOMDocumentType *self);

`webkit_dom_document_type_get_system_id` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDocumentType |

#### Returns

A gchar

## Types and Values

### struct WebKitDOMDocumentType

    struct WebKitDOMDocumentType;

## Property Details

### The `“entities”` property

      “entities”                 WebKitDOMNamedNodeMap *

read-only WebKitDOMNamedNodeMap* DocumentType:entities.

Flags: Read

### The `“internal-subset”` property

      “internal-subset”          gchar *

read-only gchar* DocumentType:internal-subset.

Flags: Read

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-only gchar* DocumentType:name.

Flags: Read

Default value: ""

### The `“notations”` property

      “notations”                WebKitDOMNamedNodeMap *

read-only WebKitDOMNamedNodeMap* DocumentType:notations.

Flags: Read

### The `“public-id”` property

      “public-id”                gchar *

read-only gchar* DocumentType:public-id.

Flags: Read

Default value: ""

### The `“system-id”` property

      “system-id”                gchar *

read-only gchar* DocumentType:system-id.

Flags: Read

Default value: ""